diff --recursive --unified=5 src/main-ros.c src-riscos/main-ros.c
--- src/main-ros.c	Sun May 12 17:18:12 2002
+++ src-riscos/main-ros.c	Thu May 30 16:52:56 2002
@@ -2348,224 +2478,245 @@
  | Eg. (for angband):
  | Angband$FontPaths Zap Angband
  | Angband$Zap$FontPath ZapFonts:
  | Angband$Angband$FontPath Angband:xtra.fonts.
  */
-static void make_font_menu( void )
+static void make_font_menu(void)
 {
-	char *t,buffer[260];
+	char *t, buffer[260];
 	char menu_buffer[260];
 	int paths;
-	int i,max_width;
-	char *path[64];		/* pointers to path names */
+	int i, max_width;
+	char *path[64];	/* pointers to path names */
 	menu_item *mi;
 
 	font_menu = NULL;
 
 	/* Get the path (ie. dir) to look under */
-	t = getenv( VARIANT "$FontPaths" );
+	t = getenv(RISCOS_VARIANT "$FontPaths");
 
 	/* Hack: cope if the path isn't set */
-	if ( !t ) { t = ""; }
+	if (!t)
+	{
+		t = "";
+	}
 
-	strcpy(buffer,t);
+	strcpy(buffer, t);
 
 	/*
-	 | Count how many paths there are, build an array of pointers to them
-	 | and terminate them in the buffer
+	   | Count how many paths there are, build an array of pointers to them
+	   | and terminate them in the buffer
 	 */
-	paths = 1;		/* including the system font fake path '<System>' */
-	for ( t=buffer; *t; t++ )
+	paths = 1;					/* including the system font fake path '<System>' */
+	for (t = buffer; *t; t++)
 	{
-		if ( *t==' ' )
+		if (*t == ' ')
 		{
 			*t = 0;
 		}
 		else
 		{
-			if (t==buffer || !t[-1])
+			if (t == buffer || !t[-1])
 			{
 				path[paths] = t;
 				paths++;
 			}
 		}
 	}
 
 	/*
-	 | Create the menu
+	   | Create the menu
 	 */
 	path[0] = SYSTEM_FONT->name;
 
-	font_menu = f_malloc(sizeof(menu_block)+paths*sizeof(menu_item));
-	if ( !font_menu ) { core("Out of memory (building font menu)"); }
-	memset( font_menu, 0, sizeof(menu_block)+paths*sizeof(menu_item) );
-
-	strncpy(font_menu->title,"Fonts",12);
-	font_menu->titlefore=7; font_menu->titleback=2;
-	font_menu->workfore=7; font_menu->workback=0;
-	font_menu->height=44; font_menu->gap=0;
+	font_menu = f_malloc(sizeof(menu_block) + paths * sizeof(menu_item));
+	if (!font_menu)
+	{
+		core("Out of memory (building font menu)");
+	}
+	memset(font_menu, 0, sizeof(menu_block) + paths * sizeof(menu_item));
+
+	strncpy(font_menu->title, "Fonts", 12);
+	font_menu->titlefore = 7;
+	font_menu->titleback = 2;
+	font_menu->workfore = 7;
+	font_menu->workback = 0;
+	font_menu->height = 44;
+	font_menu->gap = 0;
 	max_width = strlen(font_menu->title);
 
-	mi = (menu_item*) (font_menu+1);
+	mi = (menu_item *) (font_menu + 1);
 
-	for ( i=0; i<paths; i++ )
+	for (i = 0; i < paths; i++)
 	{
 		mi[i].submenu.value = -1;
 		mi[i].iconflags.data.text = 1;
 		mi[i].iconflags.data.filled = 1;
 		mi[i].iconflags.data.foreground = 7;
 		mi[i].iconflags.data.background = 0;
-		strncpy(mi[i].icondata.text,path[i],12);
-		if ( strlen(mi[i].icondata.text)>max_width )
+		strncpy(mi[i].icondata.text, path[i], 12);
+		if (strlen(mi[i].icondata.text) > max_width)
 			max_width = strlen(mi[i].icondata.text);
 	}
-	font_menu->width = (max_width+2)*16;
-	mi[i-1].menuflags.data.last = 1;
+	font_menu->width = (max_width + 2) * 16;
+	mi[i - 1].menuflags.data.last = 1;
 
 	/*
-	 | Hack: add a dotted line after the system font entry if appropriate
+	   | Hack: add a dotted line after the system font entry if appropriate
 	 */
-	if ( paths>1 ) { mi[0].menuflags.data.dotted = 1; }
+	if (paths > 1) mi[0].menuflags.data.dotted = 1;
 
 	/*
-	 | Iterate over the paths building the appropriate submenus
+	   | Iterate over the paths, building the appropriate submenus
 	 */
-	for ( i=1; i<paths; i++ )
+	for (i = 1; i < paths; i++)
 	{
 		menu_ptr sub_menu = NULL;
 
-		sprintf(menu_buffer,"%s$%s$FontPath",VARIANT,path[i]);
-		t = getenv( menu_buffer );
+		sprintf(menu_buffer, "%s$%s$FontPath", RISCOS_VARIANT, path[i]);
+		t = getenv(menu_buffer);
 		/* Hack: cope if the path isn't defined */
-		if ( !t ) { t=""; }
+		if (!t)
+		{
+			t = "";
+		}
 
 		/* Fudge so that the fontpath can be a path, not just a dir. */
-		strcpy(menu_buffer,t);
-		for ( t=menu_buffer; *t>' '; t++ )
+		strcpy(menu_buffer, t);
+		for (t = menu_buffer; *t > ' '; t++)
 			;
-		if ( t[-1]=='.' ) { t--; }
-		*t=0;
+		if (t[-1] == '.')
+		{
+			t--;
+		}
+		*t = 0;
 
 		/* Build the menu.  Don't bother if the path variable was empty */
-		if ( *menu_buffer )
-			sub_menu = make_zfont_menu( menu_buffer );
+		if (*menu_buffer)
+			sub_menu = make_zfont_menu(menu_buffer);
 
-		if ( !sub_menu )
+		if (!sub_menu)
 		{
 			mi[i].iconflags.data.shaded = 1;
 		}
 		else
 		{
 			mi[i].submenu.menu = sub_menu;
 			/* Override the title of the 'root' sub-menu */
-			strncpy(sub_menu->title,path[i],12);
+			strncpy(sub_menu->title, path[i], 12);
 			/* Add the submenu to the main menu */
 		}
 	}
-}
-
 
+	return;
+}
 
-/*
- | Create and set up the Info box
- */
-static void create_info_box( void )
+/* ----------------------------------------------- musus, xxxx-xx-xx ---
+ * Create and set up the infobox.
+ * --------------------------------------------------------------------- */
+static void create_info_box(void)
 {
-	info_box = Window_Create("info",template_TITLEMIN);
-	Icon_printf(info_box,0,"%s %s",VARIANT,VERSION);
-	Icon_SetText(info_box,2,AUTHORS);
-	Icon_SetText(info_box,3,PORTERS);
-	Icon_SetText(info_box,7,PORTVERSION);
-}
+	info_box = Window_Create("info", template_TITLEMIN);
+	Icon_printf(info_box, 0, "%s %s", VARIANT, VERSION);
+	Icon_SetText(info_box, 2, AUTHORS);
+	Icon_SetText(info_box, 3, PORTERS);
+	Icon_SetText(info_box, 7, PORTVERSION);
 
+	return;
+}
 
 /*
  | Create the various menus
  */
-static void init_menus( void )
+static void init_menus(void)
 {
 	char buffer1[256];
 	char buffer2[32];
 	char *o;
 
-	create_info_box();						/* For the Info> entries */
-	make_font_menu();						/* Make the fonts menu */
+	create_info_box();			/* For the Info> entries */
+	make_font_menu();			/* Make the fonts menu */
 
 	Msgs_Lookup("menu.ibar:Info|>Save As|Full screen,Gamma correction,Sound,"
-	            "Windows|Save choices|Quit (& save)",buffer1,256);
-	ibar_menu = Menu_New( VARIANT, buffer1 );
-	if ( !ibar_menu ) { core("Can't create Iconbar menu!"); }
-
-	Msgs_Lookup("menu.term:Info|>Save As|Font,Windows",buffer1,256);
-	term_menu = Menu_New( VARIANT, buffer1 );
-	if ( !term_menu ) { core("Can't create Term menu!"); }
+				"Windows|Save choices|Quit (& save)", buffer1, 256);
+	ibar_menu = Menu_New(VARIANT, buffer1);
+	if (!ibar_menu) core("Can't create Iconbar menu!");
+
+	Msgs_Lookup("menu.term:Info|>Save As|Font,Windows", buffer1, 256);
+	term_menu = Menu_New(VARIANT, buffer1);
+	if (!term_menu) core("Can't create Term menu!");
 
 #ifndef OLD_TERM_MENU
 	o = buffer1;
-	o += sprintf(buffer1,"%s|",VARIANT);
-	o += sprintf(o,"%s,%s,%s|",angband_term_name[1],angband_term_name[2],angband_term_name[3]);
-	sprintf(o,"%s,%s,%s,%s",angband_term_name[4],angband_term_name[5],angband_term_name[6],angband_term_name[7]);
+	o += sprintf(buffer1, "%s|", VARIANT);
+	o += sprintf(o, "%s,%s,%s|", angband_term_name[1], angband_term_name[2],
+				 angband_term_name[3]);
+	sprintf(o, "%s,%s,%s,%s", angband_term_name[4], angband_term_name[5],
+			angband_term_name[6], angband_term_name[7]);
 #else
-	Msgs_printf(buffer1,"menu.windows:%s|Term-1 (Mirror),Term-2 (Recall),"
-						"Term-3 (Choice)|Term-4,Term-5,Term-6,Term-7",
-						VARIANT);
+	Msgs_printf(buffer1, "menu.windows:%s|Term-1 (Mirror),Term-2 (Recall),"
+				"Term-3 (Choice)|Term-4,Term-5,Term-6,Term-7", VARIANT);
 #endif
-	Msgs_Lookup("menu.winT:Windows",buffer2,32);
-	wind_menu = Menu_New( buffer2, buffer1 );
-	if ( !wind_menu ) { core("Can't create Windows menu!"); }
+	Msgs_Lookup("menu.winT:Windows", buffer2, 32);
+	wind_menu = Menu_New(buffer2, buffer1);
+	if (!wind_menu)
+	{
+		core("Can't create Windows menu!");
+	}
 
 	/* Now attach the various submenus to where they belong */
-	Menu_AddSubMenu( ibar_menu, IBAR_MENU_INFO, (menu_ptr) info_box );
-	Menu_AddSubMenu( ibar_menu, IBAR_MENU_GAMMA, (menu_ptr) gamma_win );
-	Menu_AddSubMenu( ibar_menu, IBAR_MENU_SOUND, (menu_ptr) sound_win );
-	Menu_AddSubMenu( ibar_menu, IBAR_MENU_WINDOWS, (menu_ptr) wind_menu );
-	Menu_AddSubMenu( term_menu, TERM_MENU_INFO, (menu_ptr) info_box );
-	Menu_AddSubMenu( term_menu, TERM_MENU_WINDOWS, wind_menu );
+	Menu_AddSubMenu(ibar_menu, IBAR_MENU_INFO, (menu_ptr) info_box);
+	Menu_AddSubMenu(ibar_menu, IBAR_MENU_GAMMA, (menu_ptr) gamma_win);
+	Menu_AddSubMenu(ibar_menu, IBAR_MENU_SOUND, (menu_ptr) sound_win);
+	Menu_AddSubMenu(ibar_menu, IBAR_MENU_WINDOWS, (menu_ptr) wind_menu);
+	Menu_AddSubMenu(term_menu, TERM_MENU_INFO, (menu_ptr) info_box);
+	Menu_AddSubMenu(term_menu, TERM_MENU_WINDOWS, wind_menu);
 
 	/* Add the savebox */
-	Menu_Warn( ibar_menu, IBAR_MENU_SAVE, TRUE, Hnd_SaveWarning, NULL );
-	Menu_Warn( term_menu, TERM_MENU_SAVE, TRUE, Hnd_SaveWarning, NULL );
+	Menu_Warn(ibar_menu, IBAR_MENU_SAVE, TRUE, Hnd_SaveWarning, NULL);
+	Menu_Warn(term_menu, TERM_MENU_SAVE, TRUE, Hnd_SaveWarning, NULL);
 
-	if ( font_menu )
+	if (font_menu)
 		/* add the submenu */
-		Menu_AddSubMenu( term_menu, TERM_MENU_FONT, font_menu );
+		Menu_AddSubMenu(term_menu, TERM_MENU_FONT, font_menu);
 	else
 		/* If the font menu is buggered, shade its entry */
 		/* unticked, shaded */
-		Menu_SetFlags( term_menu, TERM_MENU_FONT, FALSE, TRUE );
+		Menu_SetFlags(term_menu, TERM_MENU_FONT, FALSE, TRUE);
 }
 
 
 
 
-static void grab_caret( void )
+static void grab_caret(void)
 {
 	caret_block cb;
 	cb.window = data[0].w;
 	cb.icon = -1;
-	cb.height = 1<<25;		/* Invisible */
-	Wimp_SetCaretPosition( &cb );
+	cb.height = 1 << 25;		/* Invisible */
+	Wimp_SetCaretPosition(&cb);
 }
 
 
 
 
 /*
  | (Recursively) clear all ticks from the specified menu
  */
-static void clear_all_menu_ticks( menu_ptr mp )
+static void clear_all_menu_ticks(menu_ptr mp)
 {
-	menu_item *mi = (menu_item*) (mp+1);
+	menu_item *mi = (menu_item *) (mp + 1);
 
 	do
 	{
-		if ( mi->menuflags.data.ticked )
-			mi->menuflags.data.ticked=0;
-		if ( mi->submenu.value != -1 )
-			clear_all_menu_ticks( mi->submenu.menu );
+		if (mi->menuflags.data.ticked)
+			mi->menuflags.data.ticked = 0;
+		if (mi->submenu.value != -1)
+			clear_all_menu_ticks(mi->submenu.menu);
 		mi++;
-	} while ( mi[-1].menuflags.data.last!=1 );
+	}
+	while (mi[-1].menuflags.data.last != 1);
 }
 
 
 
 
@@ -2582,46 +2733,48 @@
  |
  | NB: recursive.
  |
  */
 
-static void set_font_menu_ticks( menu_ptr fm, char *fn, char *prefix )
+static void set_font_menu_ticks(menu_ptr fm, char *fn, char *prefix)
 {
 	char buffer[260];
-	char *b_leaf;			/* -> menu 'leaf' text in buffer */
-	int  pl;				/* prefix string length */
-	menu_item *mi = (menu_item*) (fm+1);
+	char *b_leaf;	/* -> menu 'leaf' text in buffer */
+	int pl;	/* prefix string length */
+	menu_item *mi = (menu_item *) (fm + 1);
 
-	strcpy(buffer,prefix);
+	strcpy(buffer, prefix);
 	pl = strlen(buffer);
 	b_leaf = buffer + pl;
 
 	do
 	{
 		/* Check for (substring) match */
-		strncpy(b_leaf,mi->icondata.text,12);
+		strncpy(b_leaf, mi->icondata.text, 12);
 
 		/* Is it a sub-menu? */
-		if ( mi->submenu.value == -1 )
+		if (mi->submenu.value == -1)
 		{
 			/* No - must be an exact match */
-			mi->menuflags.data.ticked = !strcmp(buffer,fn);
+			mi->menuflags.data.ticked = !strcmp(buffer, fn);
 		}
 		else
 		{
 			/* Yes - must be a partial match (with a dot on :) */
-			strcat(b_leaf,".");
-			mi->menuflags.data.ticked = !strncmp(buffer,fn,pl+strlen(b_leaf));
-			if ( mi->menuflags.data.ticked )
-				set_font_menu_ticks( mi->submenu.menu, fn, buffer );
+			strcat(b_leaf, ".");
+			mi->menuflags.data.ticked =
+				!strncmp(buffer, fn, pl + strlen(b_leaf));
+			if (mi->menuflags.data.ticked)
+				set_font_menu_ticks(mi->submenu.menu, fn, buffer);
 			else
-				clear_all_menu_ticks( mi->submenu.menu );
+				clear_all_menu_ticks(mi->submenu.menu);
 		}
 
 		/* Next item */
 		mi++;
-	} while (mi[-1].menuflags.data.last != 1 );	/* Until finished */
+	}
+	while (mi[-1].menuflags.data.last != 1);	/* Until finished */
 }
 
 
 
 
@@ -2634,128 +2787,129 @@
 
 /*
  | Set ticks, etc. in the term_menu to reflect the current state of the
  | term 't'
  */
-static void set_up_term_menu( term_data *t )
+static void set_up_term_menu(term_data *t)
 {
 	int i;
 	menu_ptr mp;
 	menu_item *mi;
 	window_state ws;
 
 	/* First of all, set up menu title to be the term's title */
-	strncpy(term_menu->title,t->name,12);
+	strncpy(term_menu->title, t->name, 12);
 
 	/* Now set the ticks in the Windows> submenu (cuz it's easy) */
-	mp = wind_menu;						/* Windows submenu */
-	mi = (menu_item*) (mp+1);			/* First entry */
-	for ( i=0; i<MAX_TERM_DATA; i++ )
+	mp = wind_menu;				/* Windows submenu */
+	mi = (menu_item *) (mp + 1);	/* First entry */
+	for (i = 0; i < MAX_TERM_DATA; i++)
 	{
-		Wimp_GetWindowState( data[i].w, &ws );
+		Wimp_GetWindowState(data[i].w, &ws);
 		mi[i].menuflags.data.ticked = ws.flags.data.open;
 	}
 
 	/*
-	 | Now, the tricky bit:  find out which font is selected in this
-	 | term and tick it in the menu.  Untick all the rest.
+	   | Now, the tricky bit:  find out which font is selected in this
+	   | term and tick it in the menu.  Untick all the rest.
 	 */
-	set_font_menu_ticks( font_menu, t->font->name, "" );
+	set_font_menu_ticks(font_menu, t->font->name, "");
 
 	/* Shade the 'Save>' entry if saving isn't possible (yet) */
-	if ( game_in_progress && character_generated)
-		Menu_SetFlags( term_menu, TERM_MENU_SAVE, 0, PDEADCHK );
+	if (game_in_progress && character_generated)
+		Menu_SetFlags(term_menu, TERM_MENU_SAVE, 0, PDEADCHK);
 	else
-		Menu_SetFlags( term_menu, TERM_MENU_SAVE, 0, TRUE );
+		Menu_SetFlags(term_menu, TERM_MENU_SAVE, 0, TRUE);
 
 }
 
 
 
 /*
  | Generic 'click' handler for windows - turns a drag on the window
  | into a move-window style drag.
  */
-static BOOL Hnd_Click( event_pollblock *pb, void *ref )
+static BOOL Hnd_Click(event_pollblock * pb, void *ref)
 {
-	if ( pb->data.mouse.button.data.dragselect ||
-									pb->data.mouse.button.data.dragadjust)
+	if (pb->data.mouse.button.data.dragselect ||
+		pb->data.mouse.button.data.dragadjust)
 	{
 		drag_block b;
 		b.window = pb->data.mouse.window;
 		b.screenrect.min.x = b.screenrect.min.y = 0;
 		b.screenrect.max.x = screen_size.x;
 		b.screenrect.max.y = screen_size.y;
 		b.type = drag_MOVEWINDOW;
-		Wimp_DragBox( &b );
+		Wimp_DragBox(&b);
 	}
 
 	return TRUE;
 }
 
 
 
 /*
  | Handle a click on a Term window.
  */
-static BOOL Hnd_TermClick( event_pollblock *pb, void *ref )
+static BOOL Hnd_TermClick(event_pollblock * pb, void *ref)
 {
-	term_data *t = (term_data*) ref;
+	term_data *t = (term_data *)ref;
 
-	if ( pb->data.mouse.button.data.menu )
+	if (pb->data.mouse.button.data.menu)
 	{
 		menu_term = t;
-		set_up_term_menu( t );
-		Menu_Show( term_menu,pb->data.mouse.pos.x-32,pb->data.mouse.pos.y+32 );
+		set_up_term_menu(t);
+		Menu_Show(term_menu, pb->data.mouse.pos.x - 32,
+				  pb->data.mouse.pos.y + 32);
 	}
 	else
 	{
 		grab_caret();
-		Hnd_Click(pb,ref);
+		Hnd_Click(pb, ref);
 	}
 
 	return TRUE;
 }
 
 
 
 
 
-static void mark_ood( term_data *t, int minx, int miny, int maxx, int maxy )
+static void mark_ood(term_data *t, int minx, int miny, int maxx, int maxy)
 {
-	if ( t->changed_box.min.x > minx )
+	if (t->changed_box.min.x > minx)
 		t->changed_box.min.x = minx;
-	if ( t->changed_box.max.x < maxx )
+	if (t->changed_box.max.x < maxx)
 		t->changed_box.max.x = maxx;
-	if ( t->changed_box.min.y > miny )
+	if (t->changed_box.min.y > miny)
 		t->changed_box.min.y = miny;
-	if ( t->changed_box.max.y < maxy )
+	if (t->changed_box.max.y < maxy)
 		t->changed_box.max.y = maxy;
 }
 
 
 
 /* Check for an event (ie. key press) */
-static errr Term_xtra_acn_check( void )
+static errr Term_xtra_acn_check(void)
 {
 	static int last_poll = 0;
 	int curr_time;
-	int bh,bl;
+	int bh, bl;
 
 	/*
-	 | Only poll the wimp if there's something in the keyboard buffer
-	 | or every 10cs
+	   | Only poll the wimp if there's something in the keyboard buffer
+	   | or every 10cs
 	 */
 
 	/* Check the kbd buffer */
-	SWI( 3,3, SWI_OS_Byte, 128, 255, 0, /**/ NULL, &bl, &bh );
-	bl = (bl & 0xff) + (bh<<8);
+	SWI(3, 3, SWI_OS_Byte, 128, 255, 0, /**/ NULL, &bl, &bh);
+	bl = (bl & 0xff) + (bh << 8);
 
 	/* Check how long it is since we last polled */
 	curr_time = Time_Monotonic();
 
-	if ( (bl>0 && got_caret) || ( (curr_time-last_poll)>9 ) )
+	if ((bl > 0 && got_caret) || ((curr_time - last_poll) > 9))
 	{
 		event_pollmask old_mask = event_mask;
 		last_poll = curr_time;
 		event_mask.data.null = 0;
 		Stop_Hourglass;
@@ -2763,13 +2917,13 @@
 		Start_Hourglass;
 		event_mask = old_mask;
 	}
 
 	/*
-	 | This allows the user to interrupt the borg.
+	   | This allows the user to interrupt the borg.
 	 */
-	if ( key_pressed )
+	if (key_pressed)
 		return key_pressed = 0;
 
 	return 1;
 }
 
@@ -2777,22 +2931,22 @@
 /*
  | Wait for an event (ie. keypress)
  | Note that we idle poll once a second to allow us to implement the
  | alarm system.
  */
-static errr Term_xtra_acn_event( void )
+static errr Term_xtra_acn_event(void)
 {
 	event_pollmask old_mask = event_mask;
 	event_mask.data.null = 0;
 
 	Stop_Hourglass;
 
-	while ( !key_pressed && !fullscreen_font )
+	while (!key_pressed && !fullscreen_font)
 	{
 		int curr_time = Time_Monotonic();
-		Wimp_PollIdle( event_mask, &event_lastevent, curr_time+100 );
-		Event_Process( &event_lastevent );
+		Wimp_PollIdle(event_mask, &event_lastevent, curr_time + 100);
+		Event_Process(&event_lastevent);
 		check_alarm(TRUE);
 	}
 	Start_Hourglass;
 
 	event_mask = old_mask;
@@ -2800,19 +2954,19 @@
 }
 
 
 
 /* React to changes (eg. palette change) */
-static errr Term_xtra_acn_react( void )
+static errr Term_xtra_acn_react(void)
 {
 	int c;
 
 	cache_palette();
 
 	/* Mark the entirety of each window as out of date */
-	for ( c=0; c<MAX_TERM_DATA; c++ )
-		mark_ood(&data[c], 0, 0, 80, 24 );
+	for (c = 0; c < MAX_TERM_DATA; c++)
+		mark_ood(&data[c], 0, 0, 80, 24);
 
 	/* Force a redraw of the windows */
 	refresh_windows();
 
 	/* Success */
@@ -2822,103 +2976,106 @@
 
 
 /* Do various things to a term */
 static errr Term_xtra_acn(int n, int v)
 {
-	term_data *t = (term_data*) Term;
+	term_data *t = (term_data *)Term;
 
 	switch (n)
 	{
-		case TERM_XTRA_CLEAR :		/* Clear the Term */
+		case TERM_XTRA_CLEAR:	/* Clear the Term */
 			/*for ( i=0; i<Term->hgt; i++ )
-				t->froshed[i] = 1;*/
-			mark_ood( t, 0,0, Term->wid,Term->hgt );
+			   t->froshed[i] = 1; */
+			mark_ood(t, 0, 0, Term->wid, Term->hgt);
 			/*refresh_window( t ); - NB: Term isn't actually cleared yet! */
 			/* Success */
 			return 0;
 
-		case TERM_XTRA_EVENT :		/* Wait/check for an event */
+		case TERM_XTRA_EVENT:	/* Wait/check for an event */
 			check_alarm(TRUE);
-			if ( v )
+			if (v)
 				return Term_xtra_acn_event();
 			else
 				return Term_xtra_acn_check();
 
-		case TERM_XTRA_BORED :		/* Bored */
+		case TERM_XTRA_BORED:	/* Bored */
 			check_alarm(TRUE);
 			return Term_xtra_acn_check();
 
-		case TERM_XTRA_FLUSH :		/* Flush input */
-			if ( got_caret )
+		case TERM_XTRA_FLUSH:	/* Flush input */
+			if (got_caret)
 			{
 				/* 1.21 - Hack: wait until no keys are pressed */
-				if ( hack_flush )
-					for ( v=0 ; v!=0xff ; )
-						SWI( 1,2, SWI_OS_Byte, 122, 0, &v );
-				SWI( 3,0, SWI_OS_Byte, 21,0,0 );	/* Flush Kbd buffer */
+				if (hack_flush)
+					for (v = 0; v != 0xff;)
+						SWI(1, 2, SWI_OS_Byte, 122, 0, &v);
+				SWI(3, 0, SWI_OS_Byte, 21, 0, 0);	/* Flush Kbd buffer */
 			}
 			return 0;
 
-		case TERM_XTRA_FRESH :		/* Flush output */
-			refresh_window( t );
+		case TERM_XTRA_FRESH:	/* Flush output */
+			refresh_window(t);
 			return 0;
 
-		case TERM_XTRA_FROSH :		/* Ensure line 'v' is plotted */
+		case TERM_XTRA_FROSH:	/* Ensure line 'v' is plotted */
 			/* Doesn't do anything */
 			return 0;
 
-		case TERM_XTRA_SHAPE :		/* Set cursor visibility */
+		case TERM_XTRA_SHAPE:	/* Set cursor visibility */
 			t->cursor.visible = v ? TRUE : FALSE;
-			mark_ood( t, t->cursor.pos.x,t->cursor.pos.y,
-				t->cursor.pos.x+1,t->cursor.pos.y+1);
-			refresh_window( t );		/* needed? */
+			mark_ood(t, t->cursor.pos.x, t->cursor.pos.y,
+					 t->cursor.pos.x + 1, t->cursor.pos.y + 1);
+			refresh_window(t);	/* needed? */
 			return 0;
 
-		case TERM_XTRA_NOISE :		/* Make a beep */
+		case TERM_XTRA_NOISE:	/* Make a beep */
 			Sound_SysBeep();
 			return 0;
 
-		case TERM_XTRA_REACT :		/* React to, eg. palette changes */
+		case TERM_XTRA_REACT:	/* React to, eg. palette changes */
 			return Term_xtra_acn_react();
 
-		case TERM_XTRA_DELAY :		/* Delay for 'v' ms */
-			if ( v>0 )
+		case TERM_XTRA_DELAY:	/* Delay for 'v' ms */
+			if (v > 0)
 			{
 				int start = Time_Monotonic();
-				v=(v+5)/10;			/* Round to nearest cs */
+				v = (v + 5) / 10;	/* Round to nearest cs */
 				GFX_Wait();
-				while ( (Time_Monotonic()-start)< v )
+				while ((Time_Monotonic() - start) < v)
 					;
 			}
 			return 0;
 
-		case TERM_XTRA_SOUND :		/* Play a sound :) */
-			if ( enable_sound ) { play_sound( v ); }
+		case TERM_XTRA_SOUND:	/* Play a sound :) */
+			if (enable_sound)
+			{
+				play_sound(v);
+			}
 			return 0;
 
-		default :
-			return 1;				/* Unsupported */
+		default:
+			return 1;			/* Unsupported */
 	}
 }
 
 
 
 /* Move (but don't necessarily display) the cursor */
-static errr Term_curs_acn( int x, int y )
+static errr Term_curs_acn(int x, int y)
 {
-	term_data *t = (term_data*) Term;
+	term_data *t = (term_data *)Term;
 
-	if ( t->cursor.visible )
-		mark_ood( t, t->cursor.pos.x,t->cursor.pos.y,
-			t->cursor.pos.x+1,t->cursor.pos.y+1);
+	if (t->cursor.visible)
+		mark_ood(t, t->cursor.pos.x, t->cursor.pos.y,
+				 t->cursor.pos.x + 1, t->cursor.pos.y + 1);
 
 	t->cursor.pos.x = x;
 	t->cursor.pos.y = y;
 
-	if ( t->cursor.visible )
-		mark_ood( t, t->cursor.pos.x,t->cursor.pos.y,
-			t->cursor.pos.x+1,t->cursor.pos.y+1);
+	if (t->cursor.visible)
+		mark_ood(t, t->cursor.pos.x, t->cursor.pos.y,
+				 t->cursor.pos.x + 1, t->cursor.pos.y + 1);
 
 	return 0;
 }
 
 
@@ -2927,91 +3084,91 @@
  | NB: these two are very simple since we use the Term's contents
  | directly to generate the r_data for ZapRedraw.
  */
 
 /* Erase 'n' characters at (x,y) */
-static errr Term_wipe_acn( int x, int y, int n )
+static errr Term_wipe_acn(int x, int y, int n)
 {
-	mark_ood( (term_data*) Term, x, y, x+n, y+1 );
+	mark_ood((term_data *)Term, x, y, x + n, y + 1);
 	return 0;
 }
 
 /* Write 'n' characters from 's' with attr 'a' at (x,y) */
-static errr Term_text_acn( int x, int y, int n, byte a, cptr s )
+static errr Term_text_acn(int x, int y, int n, byte a, cptr s)
 {
-	mark_ood( (term_data*) Term, x, y, x+n, y+1 );
+	mark_ood((term_data *)Term, x, y, x + n, y + 1);
 	return 0;
 }
 
 
 
 /* Initialise one of our terms */
-static void Term_init_acn( term *t )
+static void Term_init_acn(term *t)
 {
-	term_data *term = (term_data*) t;
+	term_data *term = (term_data *)t;
 
 	/* Ludicrous changed box settings :) */
 	term->changed_box.min.x = 256;
 	term->changed_box.min.y = 256;
 	term->changed_box.max.x = 0;
 	term->changed_box.max.y = 0;
 }
 
 
 
-static void term_data_link( term_data *td, int k )
+static void term_data_link(term_data *td, int k)
 {
 	term *t = &(td->t);
 
 	/* Initialise the term */
-	term_init( t, 80, 24, k );
+	term_init(t, 80, 24, k);
 
 	/* Set flags and hooks */
 	t->attr_blank = TERM_WHITE;
 	t->char_blank = ' ';
 
 	/* Experiment (FS mode requires them) */
 	t->always_text = TRUE;
 	t->never_frosh = TRUE;
 	/* Experiment (FS mode requires them) */
 
-	t->init_hook  = Term_init_acn;
-	t->xtra_hook  = Term_xtra_acn;
-	t->wipe_hook  = Term_wipe_acn;
-	t->curs_hook  = Term_curs_acn;
-	t->text_hook  = Term_text_acn;
-	t->user_hook  = Term_user_acn;
+	t->init_hook = Term_init_acn;
+	t->xtra_hook = Term_xtra_acn;
+	t->wipe_hook = Term_wipe_acn;
+	t->curs_hook = Term_curs_acn;
+	t->text_hook = Term_text_acn;
+	t->user_hook = Term_user_acn;
 
-	t->data       = (vptr) td;
+	t->data = (vptr)td;
 
 	Term_activate(t);
 }
 
 
 
 
 /* Open default windows (ie. as set in choices) at the appropriate sizes */
-static void show_windows( void )
+static void show_windows(void)
 {
 	int i;
-	for ( i=MAX_TERM_DATA; i-->0; )
+	for (i = MAX_TERM_DATA; i-- > 0;)
 	{
-		if ( !data[i].unopened )
+		if (!data[i].unopened)
 		{
-			if ( data[i].def_open )
-				Window_Show( data[i].w, open_WHEREVER );
+			if (data[i].def_open)
+				Window_Show(data[i].w, open_WHEREVER);
 		}
 		else
 		{
-			if ( data[i].def_open )
+			if (data[i].def_open)
 			{
 				window_openblock ob;
 				ob.window = data[i].w;
 				ob.screenrect = data[i].def_pos;
 				ob.scroll = data[i].def_scroll;
 				ob.behind = -1;
-				Wimp_OpenWindow( &ob );
+				Wimp_OpenWindow(&ob);
 				data[i].unopened = 0;
 			}
 		}
 	}
 }
